# $Revision: 1.43 $, $Date: 2004/08/04 06:23:24 $
Summary:	A GPL sound font editor
Summary(pl):	Edytor fontw dwikowych
Name:		smurf
Version:	0.52.6
Release:	4
License:	GPL
Vendor:		Josh Green <jgreen@users.sourceforge.net>
Group:		X11/Applications/Sound
Source0:	http://dl.sourceforge.net/smurf/%{name}-%{version}.tar.gz
# Source0-md5:	5fafbd7557112f8d3d794a8101075d84
Source1:	%{name}.desktop
Patch0:		%{name}-remove_private_gettext.m4.patch
Patch1:		%{name}-po.patch
URL:		http://smurf.sourceforge.net/
BuildRequires:	alsa-lib-devel
BuildRequires:	audiofile-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Smurf is a GTK based sound font editor. Sound font files are a
collection of audio samples and other data that describe instruments
for wavetable sound cards. Smurf currently supports the AWE 32/64 and
has limited support for the GUS/SoftOSS driver which can use any OSS
supported 16 bit sound card.

%description -l pl
Smurf to edytor "fontw dwikowych" oparty na bibliotece GTK. Pliki
"fontw" s zbiorem prbek dwikw poczonych z dodatkowymi danymi,
ktre razem opisuj instrumenty dla kart dwikowych wykorzystujcych
wavetable. Smurf aktualnie obsuguje karty AWE 32/64, ma take
ograniczone wsparcie dla sterownikw GUS/SoftOSS, ktre mog
wykorzystywa dowoln 16-bitow kart obsugiwan przez OSS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__libtoolize}
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README ChangeLog
%attr(755,root,root) %{_bindir}/smurf
%{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: smurf.spec,v $
Revision 1.43  2004/08/04 06:23:24  ankry
- i18n fixes (-po patch), rel. 4

Revision 1.42  2004/07/04 21:17:16  havner
- applnk -> vfolders

Revision 1.41  2003/12/30 17:53:33  undefine
- release 2

Revision 1.40  2003/11/11 14:45:08  qboosh
- now there is alsa on sparc*

Revision 1.39  2003/05/28 13:01:55  malekith
- massive attack: source-md5

Revision 1.38  2003/05/25 06:26:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.37  2003/05/06 11:30:21  qboosh
- use http for sources from sourceforge

Revision 1.36  2003/01/18 22:56:20  juandon
- removed two lines with define

Revision 1.35  2002/12/28 01:38:10  qboosh
- use new Group: X11/Applications/Sound

Revision 1.34  2002/11/29 22:46:36  ankry
- massive attack: new %%doc

Revision 1.33  2002/10/09 13:14:47  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.32  2002/06/23 20:52:53  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.31  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.30  2002/05/21 23:14:44  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.29  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.28  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.27  2002/01/18 02:14:57  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.26  2001/12/22 10:02:44  kloczek
- updated to 0.52.6 (improved ALSA support; new/updated translations).

Revision 1.25  2001/12/18 19:19:46  kloczek
- typu in Simmary,
- added "rm -f missing" on top %build.

Revision 1.24  2001/12/18 11:44:54  qboosh
- pl summary, release 2

Revision 1.23  2001/05/14 01:15:39  kloczek
- added remove_private_gettext.m4 patch wich removes private copy
  gettext.m4 from acinclude.m4.

Revision 1.22  2001/05/14 00:55:00  kloczek
- typo.

Revision 1.21  2001/05/14 00:40:55  kloczek
- updated to 0.52.1 and added regenerate am/ac/lt files.

Revision 1.20  2001/02/23 03:53:18  kloczek
- updated to 0.50.1a.

Revision 1.19  2001/01/22 09:12:25  kloczek
- updated to 0.50.0.

Revision 1.18  2000/11/11 23:46:08  kloczek
- added libsndfile-devel and alsa-lib-devel (on non-sparc archs) to
  BuildRequires.

Revision 1.17  2000/11/11 23:31:34  kloczek
- updated to 0.49.8,
- added using %%find_lang macro.

Revision 1.16  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.15  2000/06/09 07:55:11  kloczek
- more %%{__make} macros.

Revision 1.14  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.12  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/31 07:04:52  kloczek
- added missing $RPM_BUILD_ROOT in %install.

Revision 1.10  2000/03/31 06:45:26  kloczek
- release 3.

Revision 1.9  2000/03/30 07:35:32  zagrodzki
- added installing desktop file

Revision 1.8  2000/03/29 23:20:53  zagrodzki
- added desktop
- unified BuildRoot dir name

Revision 1.7  2000/03/29 22:47:35  kloczek
- release 2.

Revision 1.6  2000/03/29 22:41:27  zagrodzki
- %description -l pl
- gzipped docs
- changed group
- changed buildroot

Revision 1.5  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.4  2000/03/26 13:38:19  kloczek
- added BuildRequires rules.

Revision 1.3  2000/03/26 13:07:59  kloczek
- Group changed to X11/Applications/Multimedia.

Revision 1.2  2000/03/26 13:06:05  kloczek
- rewrited in PLD style.

* Sat Mar 25 2000 Josh Green <jgreen@users.sourceforge.net>
- Removed OSS reserved variable initialization in guspatch.c
- Added auto creation of .spec file to configure.in

* Wed Mar 21 2000 Josh Green <jgreen@users.sourceforge.net>
- Faster SF tree with multiple file load capability, sample viewer,
  view/change preset parameters, preferences and other improvements
